@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
body {
  font-family: "Poppins", sans-serif;
}
:root {
  --text-color: #3bb963;
}
.text-success {
  color: var(--text-color) !important;
}
.bg-success {
  background-color: var(--text-color) !important;
}
.btn-success {
  background-color: var(--text-color) !important;
}
body p {
  color: #81848a;
}
.carousel-caption {
  position: absolute;
  /* height: 100%; */
  display: flex;
  flex-direction: column;
  top: 20%;
  left: 5%;
  text-align: left;
  width: 50%;
  background-color: rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(6px);
  padding: 40px;
}
.carousel-caption h2 {
  font-size: 55px;
  font-weight: 600;
}
.owl-carousel {
  /* width: 80%; */
  margin: auto;
}
.dropdown-menu {
    width: 400px;
}
.dropdown-menu .dropdown-item a {
    white-space: normal;
}
.dropdown-menu .dropdown-item:last-child {
    border: none !important;
}

ul, ol{
    padding: 0;
    padding-left: 20px;
    margin: 0;
    line-height: 35px;
    color: #81848a;
}
.brands-section .brand-1 {
  border: 1px solid #efeeee;
  border-bottom: 3px solid var(--text-color);
  border-radius: 20px;
  padding: 20px;
min-height: 150px;
display: flex;
align-items: center;
justify-content: center;
}
.about-section p {
  line-height: 26px;
}
.text-align-justify {
  text-align: justify !important;
}
.about-section img {
  border-radius: 30px;
}
.about-img-2 {
  position: absolute;
  right: 40px;
  top: 150px;
}
.about-section a {
  border-radius: 20px;
}
.about-img-2 img {
  border-style: solid;
  border-width: 5px;
  border-color: #ffffff;
  border-radius: 40px;
}
.what-we-offer-section .card {
  padding: 15px;
  border-radius: 20px;
}
.what-we-offer-section .card {
  border-bottom: 3px solid var(--text-color) !important;
}
.what-we-offer-div {
  height: 50px;
  width: 50px;
}
.what-we-offer-div img {
  height: 80%;
  width: 80%;
}
.why-us-section {
  background-color: #f5f5f5;
}
.why-us-section img {
  border-radius: 30px;
}
.why-us-text h2 {
  font-size: 50px;
}
.why-us-div-2::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: var(--text-color);
  top: 0;
  left: 0;
  border-radius: 20px;
  z-index: -1;
}
.why-us-div::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: var(--text-color);
  top: 100%;
  left: 0;
  border-radius: 20px;
  z-index: -1;
  transition: 0.7s ease;
}
.why-us-txt-div:hover .why-us-div::before {
  top: 0;
}
.why-us-txt-div:hover h2,
.why-us-txt-div:hover p,
.why-us-txt-div:hover h5 {
  color: white !important;
}
.contact-div {
  height: 60px;
  width: 60px;
  background-color: var(--text-color);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
}
.contact-img-absolute {
  position: absolute;
  bottom: 0;
}
footer {
  background-color: #222222;
  background-image: url("../assets/media/images/footer-bg.svg");
  background-position: bottom left;
  background-repeat: no-repeat;
}
.border-bottom-footer {
  border-bottom: 1px solid #444141;
}
footer i {
  font-size: 12px;
}
footer a {
  transition: 0.7s ease;
}
footer a:hover {
  color: var(--text-color) !important;
}
.btn-about::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: black;
  top: 100%;
  left: 0;
  transition: 0.7s ease;
  z-index: -1;
}
.btn-about:hover::before {
  top: 0;
}

.about-effect-img-div{
position: absolute;
top: 80px;
left: 20px;
z-index: -1
}

.why-us-img::before{
  content: "";
    position: absolute;
    width: 200%;
    height: 0%;
    left: 50%;
    top: 50%;
    background-color: rgba(255, 255, 255, 0.3);
    transform: translate(-50%, -50%) rotate(-45deg);
}
.why-us-img:hover::before {
    height: 250%;
    transition: all 600ms linear;
    background-color: transparent;
}
.pdf-icon{
  position: fixed;
  bottom: 20px;
  right: 20px;
}
.plus-icon-div{
    position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}
.plus-icon-div1{
  height: 40px;
  width: 40px;
  background-color: var(--text-color);
  display: flex;
  align-items: center;
  justify-content: center;
}
.bg-pro-effect::before{
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: rgb(0, 0, 0 , 0.5);
  top: 100%;
  transition: 0.7s ease;
}
.products-section .pro-div:hover .bg-pro-effect::before{
  top: 0;
}
.plus-icon-div{
  opacity: 0;
  transition: 0.7s ease;
}
.products-section .pro-div:hover .plus-icon-div{
  opacity: 1;
}
.hydraulic-section .card{
  background-color: rgb(245, 245, 245);
  box-shadow: rgba(0, 0, 0, 0.08) 0px 0.706592px 0.706592px -0.666667px, rgba(0, 0, 0, 0.08) 0px 1.80656px 1.80656px -1.33333px, rgba(0, 0, 0, 0.07) 0px 3.62176px 3.62176px -2px, rgba(0, 0, 0, 0.07) 0px 6.8656px 6.8656px -2.66667px, rgba(0, 0, 0, 0.05) 0px 13.6468px 13.6468px -3.33333px, rgba(0, 0, 0, 0.02) 0px 30px 30px -4px, rgb(255, 255, 255) 0px 3px 1px 0px inset;
}
.hydraulic-section .card{
  overflow: hidden;
  z-index: 1;
}
.hydraulic-section .card:hover .plus-icon-div{
  opacity: 1;
}

.hydraulic-card-before::before{
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background: rgba(255, 255, 255, 0.7);
  bottom: 100%;
  left: 0;
  z-index: -1;
  transition: 0.7s ease;
}
.hydraulic-section .card:hover .hydraulic-card-before::before{
  bottom: 0;
}

.hydraulic-pumps-before::before{
  content: "";
  position: absolute;
  height: 2px;
  width: 50px;
  background-color: var(--text-color);
  left: 50%;
  transform: translate(-50%);
  bottom: -5px;
}
.enquiry-page-bg{
  background: url("../assets/media/images/enquiry.jpg") center center / cover no-repeat;
}



/* Keyframes animation */
.pdf-icon {
  /* animation: pdfBlink 1.5s ease-in-out infinite; */
  animation: pdfBlink 1.5s linear infinite;
}
@keyframes pdfBlink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.6;
  }
  100% {
    opacity: 1;
  }
}

.contact-us-div {
  animation: contact 20s linear infinite;
}
@keyframes contact {
  0% {
    transform: rotate(90deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Media Queries */
@media only screen and (max-width: 768px){
  .carousel-caption{
    width: 70%;
    padding: 15px;
  }
  .carousel-caption h2{
    font-size: 10px;
  }
   .carousel-caption p{
    font-size: 8px;
   }
   .about-img-2{
    position: relative;
    top: 0;
    right: 0px;
   }
   .enquiry-page-bg{
  height: 100%;
}
}

